Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000647Frama-CKernel > configurepublic2010-12-22 15:162011-02-09 14:37
Reporterjmharang 
Assigned Tosignoles 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20101202-beta2 
Target VersionFixed in VersionFrama-C Carbon-20110201 
Summary0000647: lib apron not found in configure
DescriptionI build the beta release on a ubuntu 10.04 (LTS) :

Lib Apron not found by configure
..
checking for /usr/local/lib/apron.a... no
checking for /usr/lib/apron.a... no
..

but :
jmharang@po25975:~/src/frama-c/frama-c-Carbon-20101202-beta2$ dpkg -l | grep -i apron
ii libapron 0.9.10-4build1 Runtime libraries for APRON
ii libapron-dev 0.9.10-4build1 An abstract interpretation library
ii libapron-ocaml 0.9.10-4build1 Runtime libraries for APRON
ii libapron-ocaml-dev 0.9.10-4build1 An abstract interpretation library

and :
jmharang@po25975:/usr/lib$ ls -Al libapron*
lrwxrwxrwx 1 root root 13 2010-12-21 17:10 libapron.so -> libapron.so.0
-rw-r--r-- 1 root root 783696 2010-02-24 20:09 libapron.so.0

Additional InformationI take a look to configure.in
jmharang@po25975:~/src/frama-c/frama-c-Carbon-20101202-beta2$ grep apron configure.in
# [JS 2009/03/25] apron must be configured before why/jc which uses $HAS_APRON
              [/usr/local/lib/apron.a,/usr/lib/apron.a],
           [apron not found])
./configure search apron.a and not libapron.a

I patch my configure (sh) to find it and it's seems ok.

In boron (frama-c-Boron-20100401-why-2.24) :
config.log:configure:7525: checking for /usr/local/lib/apron.a
config.log:configure:7550: checking for /usr/lib/apron.a
config.log:ac_cv_file__usr_lib_apron_a=no
config.log:ac_cv_file__usr_local_lib_apron_a=no

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001408)
signoles (manager)
2011-01-24 11:07

Frama-C does not depend on Apron anymore. Only Why may use it for Jessie.

- Issue History
Date Modified Username Field Change
2010-12-22 15:16 jmharang New Issue
2010-12-22 15:16 jmharang Status new => assigned
2010-12-22 15:16 jmharang Assigned To => virgile
2011-01-21 16:39 signoles Assigned To virgile => signoles
2011-01-24 11:06 svn Checkin
2011-01-24 11:07 signoles Note Added: 0001408
2011-01-24 11:07 signoles Status assigned => resolved
2011-01-24 11:07 signoles Resolution open => fixed
2011-02-09 14:36 signoles Status resolved => closed
2011-02-09 14:37 signoles Fixed in Version => Frama-C Carbon-20110201


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker